Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline LifecycleGET /v0/pipelines/{pipeline_name}/query

Execute Ad-hoc SQL

GET/v0/pipelines/{pipeline_name}/queryPipeline Lifecycle

Try it

GET/v0/pipelines/{pipeline_name}/query
Authentication
Parameters

Execute ad-hoc SQL in a running or paused pipeline.

The evaluation is not incremental.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Query parameters

NameTypeRequiredDescription
sqlstringYesSQL query to execute
formatAdHocResultFormatYesInput data format, e.g., 'text', 'json' or 'parquet'

Response

200Ad-hoc SQL query resulttext/plain
  • string (binary)
400Invalid SQL queryapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/query?sql=<sql>&format=<format>' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
"string"